tigase.xmpp.impl

## Class Privacy

- java.lang.Object
- - tigase.xmpp.impl.Privacy

-     public class Privacy
      extends Object

  Class defining data structure for privacy lists. Sample data storage: `<node name="privacy"> <map> <entry value="private" type="String" key="default"/> </map> List name: <node name="private"> <map/> Item order: <node name="1"> <map> <entry value="jid" type="String" key="type"/> <entry value="user%40domain.com/res" type="String" key="value"/> <entry value="deny" type="String" key="action"/> <entry type="String[]" key="stanzas"> <item value="message"/> <item value="iq"/> </entry> </map> </node> </node>` Created: Mon Oct 9 20:50:09 2006
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION` Field description
    `static String` | `ACTIVE` Field description
    `static String` | `DEFAULT` Field description
    `static String` | `ITEM` Field description
    `static String` | `LIST` Field description
    `static String` | `NAME` Field description
    `static String` | `ORDER` Field description
    `static String` | `PRIVACY` Field description
    `static String` | `PRIVACY_LIST` Field description
    `static String` | `PRIVACY_LIST_LOADED`
    `static String` | `STANZAS` Field description
    `static String` | `TYPE` Field description
    `static String` | `VALUE` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Privacy()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addList(XMPPResourceConnection session, Element list)` Method description
    `static boolean` | `block(XMPPResourceConnection session, String jid)`
    `static Element` | `getActiveList(XMPPResourceConnection session)` Method description
    `static String` | `getActiveListName(XMPPResourceConnection session)` Method description
    `static List<String>` | `getBlocked(XMPPResourceConnection session)`
    `static Element` | `getDefaultList(XMPPResourceConnection session)`
    `static String` | `getDefaultListName(XMPPResourceConnection session)` Method description
    `static Element` | `getList(XMPPResourceConnection session, String list)` Method description
    `static Element` | `getListOld(XMPPResourceConnection session, String list)` Method description
    `static String[]` | `getLists(XMPPResourceConnection session)` Method description
    `static String` | `listNode(String list)` Method description
    `static void` | `removeList(XMPPResourceConnection session, Element list)` Method description
    `static void` | `setActiveList(XMPPResourceConnection session, String lName)` Method description
    `static void` | `setDefaultList(XMPPResourceConnection session, Element list)` Method description
    `static boolean` | `unblock(XMPPResourceConnection session, String jid)`
    `static List<String>` | `unblockAll(XMPPResourceConnection session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION

          public static final String ACTION

      Field description
      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final String ACTIVE

      Field description
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      Field description
      See Also:
        Constant Field Values

    - #### ITEM

          public static final String ITEM

      Field description
      See Also:
        Constant Field Values

    - #### LIST

          public static final String LIST

      Field description
      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      Field description
      See Also:
        Constant Field Values

    - #### ORDER

          public static final String ORDER

      Field description
      See Also:
        Constant Field Values

    - #### PRIVACY

          public static final String PRIVACY

      Field description
      See Also:
        Constant Field Values

    - #### PRIVACY_LIST

          public static final String PRIVACY_LIST

      Field description
      See Also:
        Constant Field Values

    - #### STANZAS

          public static final String STANZAS

      Field description
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      Field description
      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      Field description
      See Also:
        Constant Field Values

    - #### PRIVACY_LIST_LOADED

          public static final String PRIVACY_LIST_LOADED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Privacy

          public Privacy()

  - ### Method Detail

    - #### addList

          public static void addList(XMPPResourceConnection session,
                                     Element list)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### removeList

          public static void removeList(XMPPResourceConnection session,
                                        Element list)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getActiveList

          public static Element getActiveList(XMPPResourceConnection session)
                                       throws NotAuthorizedException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`

    - #### getActiveListName

          public static String getActiveListName(XMPPResourceConnection session)
                                          throws NotAuthorizedException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`

    - #### getDefaultList

          public static Element getDefaultList(XMPPResourceConnection session)
                                        throws NotAuthorizedException,
                                               TigaseDBException

      Parameters:
        `session` -
      Returns:
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getDefaultListName

          public static String getDefaultListName(XMPPResourceConnection session)
                                           throws NotAuthorizedException,
                                                  TigaseDBException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getList

          public static Element getList(XMPPResourceConnection session,
                                        String list)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getListOld

          public static Element getListOld(XMPPResourceConnection session,
                                           String list)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getLists

          public static String[] getLists(XMPPResourceConnection session)
                                   throws NotAuthorizedException,
                                          TigaseDBException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### listNode

          public static String listNode(String list)

      Method description
      Parameters:
        `list` -

    - #### setActiveList

          public static void setActiveList(XMPPResourceConnection session,
                                           String lName)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Method description
      Parameters:
        `session` -
        `lName` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setDefaultList

          public static void setDefaultList(XMPPResourceConnection session,
                                            Element list)
                                     throws NotAuthorizedException,
                                            TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getBlocked

          public static List<String> getBlocked(XMPPResourceConnection session)
                                         throws NotAuthorizedException,
                                                TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### block

          public static boolean block(XMPPResourceConnection session,
                                      String jid)
                               throws NotAuthorizedException,
                                      TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### unblock

          public static boolean unblock(XMPPResourceConnection session,
                                        String jid)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### unblockAll

          public static List<String> unblockAll(XMPPResourceConnection session)
                                         throws NotAuthorizedException,
                                                TigaseDBException

      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.